Bug 1347010 - [RFE] RGW - Let the default quota settings take effect during user creation
Summary: [RFE] RGW - Let the default quota settings take effect during user creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 1.3.3
Assignee: Daniel Gryniewicz
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On: 1362284
Blocks: 1348597 1372735
TreeView+ depends on / blocked
 
Reported: 2016-06-15 19:22 UTC by Benjamin Schmaus
Modified: 2019-12-16 05:56 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-0.94.9-2.el7cp Ubuntu: ceph_0.94.9-3redhat1
Doc Type: Enhancement
Doc Text:
.The default quota for a user is set when creating the user With this update, when creating a new Ceph Object Gateway user, the default quota is set for the user. Previously, the default quota for a user was not set until the user performed an action in the Ceph Object Gateway.
Clone Of:
: 1362284 (view as bug list)
Environment:
Last Closed: 2016-09-29 13:00:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16410 None None None 2016-06-22 13:14:26 UTC
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Description Benjamin Schmaus 2016-06-15 19:22:29 UTC
Description of problem: When a user is created the default quota is not set for the user until they perform an action via RGW.  There is some upstream work in the following PR: https://github.com/ceph/ceph/pull/9261  Once it is committed we would like to get a back port into 1.3.2


Version-Release number of selected component (if applicable):1.3.2


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Ken Dreyer (Red Hat) 2016-06-21 23:02:18 UTC
https://github.com/ceph/ceph/pull/9261 has been merged to master, so we need this to be backported to Jewel and Hammer upstream.

Comment 4 Daniel Gryniewicz 2016-06-22 12:27:13 UTC
http://tracker.ceph.com/issues/16410

Comment 5 Ken Dreyer (Red Hat) 2016-07-25 18:16:50 UTC
This has not been backported anywhere upstream yet, so for RHCS 1.3.3 we'll need to have additional patches on top of v0.94.7.

Comment 15 Tejas 2016-09-12 13:47:00 UTC
Verified on ceph version:
ceph version 0.94.9-2.el7cp 

Moving to Verified state.

Verified the default valued as mentioned below and they are working as expected:

rgw bucket default quota max objects
Default max number of objects per bucket. Set on new users, if no other quota is specified. Has no effect on existing users.

rgw bucket default quota max size
Default max capacity per bucket, in KB. Set on new users, if no other quota is specified. Has no effect on existing users.

rgw user default quota max objects
Default max number of objects for a user. This includes all objects in all buckets owned by the user. Set on new users, if no other quota is specified. Has no effect on existing users.

rgw user default quota max size
Default max capacity in KB for a user. This includes the capacity of all buckets owned by the user. Set on new users, if no other quota is specified. Has no effect on existing users.

Comment 17 errata-xmlrpc 2016-09-29 13:00:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.